package models

type Response struct {
	Code int         `form:"code" json:"code" uri:"code" xml:"code"`
	Msg  string      `form:"msg" json:"msg" uri:"msg" xml:"msg"`
	Data interface{} `form:"data" json:"data" uri:"data" xml:"data"`
}

func (r *Response) Init() {
	r.Code = 500
	r.Msg = "none"
}

func (r *Response) Success() {
	r.Code = 200
	r.Msg = "success"
}

func (r *Response) Error(msg string) {
	r.Code = 500
	r.Msg = msg
}

func (r *Response) CheckErr(err error) bool {
	if err != nil {
		r.Code = 500
		r.Msg = err.Error()
		return true
	}
	return false
}
